const { Controller } = require('libflitter')

class MiscController extends Controller {
    static get services() {
        return [...super.services, 'Vue']
    }

    get_app_setup(req, res, next) {
        return res.page('dash:app_setup', {
            ...this.Vue.session(req),
            ...this.Vue.data()
        })
    }
}

module.exports = exports = MiscController
